package com.example;

import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;

import android.content.Context;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.ScaleDrawable;
import android.widget.ImageView.ScaleType;

public class ImageUtils {
	public static MyImageView createImageView(Context context, String url,
			String txt) {
		try {

			InputStream is = (InputStream) fetch(url);
			BitmapDrawable d = (BitmapDrawable) ScaleDrawable.createFromStream(
					is, "src");
			d.setGravity(ScaleType.CENTER.ordinal());
			MyImageView iv = new MyImageView(context, url, txt);
			iv.setImageDrawable(d);
			return iv;
		} catch (MalformedURLException e) {
			e.printStackTrace();
			return null;
		} catch (IOException e) {
			e.printStackTrace();
			return null;
		}
	}

	private static Object fetch(String address) throws MalformedURLException,
			IOException {
		URL url = new URL(address);
		Object content = url.getContent();
		return content;
	}

	public static Drawable imageOperations(ShowDetails showDetails, String url,
			String saveFilename) {
		try {

			InputStream is = (InputStream) fetch(url);
			BitmapDrawable d = (BitmapDrawable) ScaleDrawable.createFromStream(
					is, "src");
			d.setGravity(ScaleType.CENTER.ordinal());

			return d;
		} catch (MalformedURLException e) {
			e.printStackTrace();
			return null;
		} catch (IOException e) {
			e.printStackTrace();
			return null;
		}
	}
}
