package com.example;

import android.app.Activity;
import android.content.Intent;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

public class ShowDetails extends Activity {

	TextView text;

	/** Called when the activity is first created. */

	@Override
	public void onCreate(Bundle bundle) {
		super.onCreate(bundle);
		setContentView(R.layout.details);
		Bundle extras = getIntent().getExtras();
		if (extras == null) {
			return;
		}
		String src = extras.getString("src");
		src = src.substring(0, src.indexOf(".JPG"))+"-big.JPG";
		String txt = extras.getString("txt");
		Drawable image = ImageUtils.imageOperations(this, src, "image.jpg");
		ImageView imgView = new ImageView(this);
		imgView = (ImageView) findViewById(R.id.image1);
		imgView.setImageDrawable(image);
		text = (TextView) findViewById(R.id.imageText);
		text.setText(txt);
	}

	public void onClick(View view) {
		finish();
	}

	@Override
	public void finish() {
		Intent data = new Intent();
		data.putExtra("returnKey1", "Swinging on a star. ");
		setResult(RESULT_OK, data);
		super.finish();
	}
}